--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_ioctl.c	Sun Jun 11 17:03:23 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_ioctl.c	Sun Jun 11 17:03:23 2017
@@ -873,8 +873,6 @@
 	pkey_tbl = (ib_pkey_t *)kmem_zalloc(tbl_size * sizeof (ib_pkey_t),
 	    KM_SLEEP);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgid_tbl, *pkey_tbl))
-
 	/*
 	 * Setup the number of ports, then loop through all ports and
 	 * query properties of each.
@@ -951,8 +949,6 @@
 	ib_pkey_t		*pkey_tbl;
 	int			j, iter, ret;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(lstate))
-
 	/*
 	 * Access to Hemron VTS ioctls is not allowed in "maintenance mode".
 	 */
@@ -2149,8 +2145,6 @@
 	/* Determine the bank setting from the address */
 	bank = addr & HERMON_HW_FLASH_BANK_MASK;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(state->hs_fw_flashbank))
-
 	/*
 	 * If the bank is different from the currently set bank, we need to
 	 * change it.  Also, if an 'addr' of 0 is given, this allows the
@@ -2772,8 +2766,6 @@
 {
 	int i;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	if (lstate->hls_tx.hlc_qp_hdl != NULL) {
 		(void) hermon_qp_free(lstate->hls_state,
 		    &lstate->hls_tx.hlc_qp_hdl, IBC_FREE_QP_AND_QPN, NULL,
@@ -2835,8 +2827,6 @@
 static int
 hermon_loopback_init(hermon_state_t *state, hermon_loopback_state_t *lstate)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	lstate->hls_hca_hdl = (ibc_hca_hdl_t)state;
 	lstate->hls_status  = hermon_pd_alloc(lstate->hls_state,
 	    &lstate->hls_pd_hdl, HERMON_NOSLEEP);
@@ -2899,8 +2889,6 @@
 hermon_loopback_alloc_mem(hermon_loopback_state_t *lstate,
     hermon_loopback_comm_t *comm, int sz)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-
 	/* Allocate buffer of specified size */
 	comm->hlc_buf_sz = sz;
 	comm->hlc_buf	 = kmem_zalloc(sz, KM_NOSLEEP);
@@ -2919,8 +2907,6 @@
 	    lstate->hls_pd_hdl, &comm->hlc_memattr, &comm->hlc_mrhdl,
 	    NULL, HERMON_MPT_DMPT);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm->hlc_mrhdl))
-
 	comm->hlc_mrdesc.md_vaddr  = comm->hlc_mrhdl->mr_bindinfo.bi_addr;
 	comm->hlc_mrdesc.md_lkey   = comm->hlc_mrhdl->mr_lkey;
 	comm->hlc_mrdesc.md_rkey   = comm->hlc_mrhdl->mr_rkey;
@@ -2940,9 +2926,6 @@
 	uint32_t		i, real_size;
 	hermon_qp_info_t		qpinfo;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	/* Allocate send and recv CQs */
 	for (i = 0; i < 2; i++) {
 		bzero(&comm->hlc_cq_attr, sizeof (ibt_cq_attr_t));
@@ -2988,9 +2971,6 @@
 hermon_loopback_modify_qp(hermon_loopback_state_t *lstate,
     hermon_loopback_comm_t *comm, uint_t qp_num)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	/* Modify QP to INIT */
 	hermon_loopback_init_qp_info(lstate, comm);
 	comm->hlc_qp_info.qp_state = IBT_STATE_INIT;
@@ -3072,8 +3052,6 @@
 {
 	int	 ret;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tx))
-
 	bzero(&tx->hlc_sgl, sizeof (ibt_wr_ds_t));
 	bzero(&tx->hlc_wr, sizeof (ibt_send_wr_t));
 
@@ -3109,8 +3087,6 @@
 hermon_loopback_poll_cq(hermon_loopback_state_t *lstate,
     hermon_loopback_comm_t *comm)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-
 	comm->hlc_wc.wc_status	= 0;
 	comm->hlc_num_polled	= 0;
 	comm->hlc_status = hermon_cq_poll(lstate->hls_state,
